Bug 208988 - multimedia/quodlibet: Update to 3.6.1
Summary: multimedia/quodlibet: Update to 3.6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL: https://quodlibet.readthedocs.org/en/...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-04-23 00:24 UTC by Ben Woods
Modified: 2016-05-28 08:19 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (johnson.peter)


Attachments
Patch to update multimedia/quodlibet to 3.6.1 (13.48 KB, patch)
2016-04-23 00:24 UTC, Ben Woods
woodsb02: maintainer-approval? (johnson.peter)
Details | Diff
QA: Successful poudriere testport logs for multimedia/quodlibet 3.6.1 with all options DISABLED on FreeBSD 10.2 amd64 (196.37 KB, text/plain)
2016-04-23 00:28 UTC, Ben Woods
no flags Details
QA: Successful poudriere testport logs for multimedia/quodlibet 3.6.1 with all options ENABLED on FreeBSD 10.2 amd64 (205.25 KB, text/plain)
2016-04-23 00:31 UTC, Ben Woods
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2016-04-23 00:24:34 UTC
Created attachment 169583 [details]
Patch to update multimedia/quodlibet to 3.6.1

multimedia/quodlibet:
- Update to 3.6.1
- Move to gtk3 and gstreamer-1.0 [1]
- Add dependencies on musicbrainzngs, notification-daemon, libsoup, libwebkit2gtk-4.0, pygobject3 [1]
- Remove gconf, python, musepack from USE_GSTREAMER (not in gstreamer 1.0)
- Change name of gstreamer mp3 plugin from mp3 to mad (per gstreamer 1.0 ports)
- Add LICENSE_FILE, and general port tidy-up

Changes this release:
  https://quodlibet.readthedocs.org/en/latest/changelog.html


  [1] https://quodlibet.readthedocs.org/en/latest/packaging.html
Comment 1 Ben Woods freebsd_committer 2016-04-23 00:26:11 UTC
- Update WWW link to new project site
- Remove pkg-message regarding adding new plugins, as they are now bundled [1]
Comment 2 Ben Woods freebsd_committer 2016-04-23 00:28:21 UTC
Created attachment 169584 [details]
QA: Successful poudriere testport logs for multimedia/quodlibet 3.6.1 with all options DISABLED on FreeBSD 10.2 amd64
Comment 3 Ben Woods freebsd_committer 2016-04-23 00:31:10 UTC
Created attachment 169585 [details]
QA: Successful poudriere testport logs for multimedia/quodlibet 3.6.1 with all options ENABLED on FreeBSD 10.2 amd64
Comment 4 Ben Woods freebsd_committer 2016-04-23 08:53:19 UTC
I should make it clear that this is still awaiting maintainer approval, and perhaps I should not have added the patch-ready flag (I did not realise that this also implied maintainer-approval+ which is not the case on this patch yet).
Comment 5 Thomas Zander freebsd_committer 2016-04-24 13:44:52 UTC
Removed patch-ready flag; waiting for maintainer approval.
Comment 6 Ben Woods freebsd_committer 2016-05-10 08:39:56 UTC
Thanks riggs, I can take this one since I now have a commit bit.

Peter: still waiting on your approval of this diff. There is still 2 more weeks before maintainer timeout.
Comment 7 commit-hook freebsd_committer 2016-05-28 08:16:05 UTC
A commit references this bug:

Author: woodsb02
Date: Sat May 28 08:15:16 UTC 2016
New revision: 415979
URL: https://svnweb.freebsd.org/changeset/ports/415979

Log:
  multimedia/quodlibet: Update to 3.6.2
  - Move to gtk3 and gstreamer-1.0 [1]
  - Add dependencies on musicbrainzngs, notification-daemon, libsoup, libwebkit2gtk-4.0, pygobject3 [1]
  - Remove gconf, python, musepack from USE_GSTREAMER (not in gstreamer 1.0)
  - Change name of gstreamer mp3 plugin from mp3 to mad (per gstreamer 1.0 ports)
  - Add LICENSE_FILE, and general port tidy-up
  - Update WWW link to new project site
  - Remove pkg-message regarding adding new plugins, as they are now bundled [1]

    [1] https://quodlibet.readthedocs.org/en/latest/packaging.html

  Changes this release:
    https://quodlibet.readthedocs.org/en/latest/changelog.html

  PR:		208988
  Reviewed by:	mat (mentor)
  Approved by:	johnson.peter@gmail.com (maintainer timeout), adamw (mentor)
  Differential Revision:	https://reviews.freebsd.org/D6604

Changes:
  head/multimedia/quodlibet/Makefile
  head/multimedia/quodlibet/distinfo
  head/multimedia/quodlibet/files/extra-patch-pydistutils
  head/multimedia/quodlibet/files/patch-gdist__man.py
  head/multimedia/quodlibet/files/patch-gdist_man.py
  head/multimedia/quodlibet/files/patch-operon.py
  head/multimedia/quodlibet/pkg-descr
  head/multimedia/quodlibet/pkg-message
Comment 8 Ben Woods freebsd_committer 2016-05-28 08:19:05 UTC
Committed. Thanks for initially looking at this one riggs.

Peter: thanks for continuing to maintain quodlibet in ports. If you ever want to hand over your maintainership of this port, please let me know.